import { r as registerInstance, h, H as Host, g as getElement } from './index-4d3658f6.js';
import { r as readSubLevels } from './level.utils-e25dee61.js';

const NavigationLevels = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    async getLevelInfos() {
        return await readSubLevels(this.el, 'bal-navigation-level-meta');
    }
    render() {
        return (h(Host, { class: "is-hidden" }, h("slot", null)));
    }
    get el() { return getElement(this); }
};

export { NavigationLevels as bal_navigation_levels };
